const createUserAgent = ({ appInfo, envManager, }) => {
    const { appName } = appInfo;
    const appVersion = envManager.get('APP_VERSION');
    const appRelease = envManager.get('APP_RELEASE');
    const userAgent = [
        'tramvai',
        appName,
        appVersion && `version ${appVersion}`,
        appRelease && `release ${appRelease}`,
    ]
        .filter(Boolean)
        .join(' ');
    return userAgent;
};

export { createUserAgent };
