'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var httpClientModule = require('./httpClientModule.js');
var httpClientFactory = require('./httpClient/httpClientFactory.js');
require('@tramvai/core');
require('@tramvai/tokens-server');
var tokensHttpClient = require('@tramvai/tokens-http-client');
var papiService = require('./papi/papiService.js');
var fillHeaders = require('./utils/fillHeaders.js');
var httpClient = require('@tramvai/http-client');



exports.HttpClientModule = httpClientModule.HttpClientModule;
exports.httpClientFactory = httpClientFactory.httpClientFactory;
exports.PapiService = papiService.PapiService;
exports.fillHeaderIp = fillHeaders.fillHeaderIp;
exports.fillHeaders = fillHeaders.fillHeaders;
Object.keys(tokensHttpClient).forEach(function (k) {
	if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () { return tokensHttpClient[k]; }
	});
});
Object.keys(httpClient).forEach(function (k) {
	if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () { return httpClient[k]; }
	});
});
