import type { DI_TOKEN } from '@tramvai/core';
import type { HttpClientRequest, HttpClientResponse } from '@tramvai/http-client';
import { BaseHttpClient } from '@tramvai/http-client';
import type { ExtractDependencyType } from '@tinkoff/dippy';
import type { SERVER_MODULE_PAPI_PUBLIC_ROUTE } from '@tramvai/tokens-server';
export interface Deps {
    di: ExtractDependencyType<typeof DI_TOKEN>;
    papi: ExtractDependencyType<typeof SERVER_MODULE_PAPI_PUBLIC_ROUTE> | null;
}
export declare class PapiService extends BaseHttpClient {
    papi: Deps['papi'];
    di: Deps['di'];
    constructor({ papi, di }: Deps);
    request<R = any>({ path, query, body, headers, }: HttpClientRequest): Promise<HttpClientResponse<R>>;
}
//# sourceMappingURL=papiService.d.ts.map