'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

/** Compares real path with pattern path
 * @example comparePathWithPattern('/example/mock/12345', '/example/:type/:id') => true
 */
const comparePathWithPattern = (path, pattern) => new RegExp(`^${pattern.replace(/:(\w+)/g, '([^\\/]+)')}$`).test(path);

exports.comparePathWithPattern = comparePathWithPattern;
