import type { REQUEST_MANAGER_TOKEN } from '@tramvai/module-common';
import type { API_CLIENT_PASS_HEADERS } from '@tramvai/tokens-http-client';
import type { HttpClientRequest } from '@tramvai/http-client';
import type { ExtractDependencyType } from '@tinkoff/dippy';
export declare const fillHeaderIp: ({ requestManager, }: {
    requestManager: ExtractDependencyType<typeof REQUEST_MANAGER_TOKEN> | null;
}) => (params: HttpClientRequest) => HttpClientRequest;
export declare const fillHeaders: ({ requestManager, headersList, }: {
    requestManager: ExtractDependencyType<typeof REQUEST_MANAGER_TOKEN> | null;
    headersList: ExtractDependencyType<typeof API_CLIENT_PASS_HEADERS> | null;
}) => (params: HttpClientRequest) => HttpClientRequest;
//# sourceMappingURL=fillHeaders.d.ts.map